Subject: Re: [PATCH -next] mtd/nand/r852: fix build for CONFIG_PCI disabled

From: Maxim Levitsky <[email-masked]>
Date: Thu, 11 Mar 2010 22:59:29 +0200

On Thu, 2010-03-11 at 09:10 -0800, Randy Dunlap wrote:
> > 
> > Sorry, it's there, but there are still build errors.
> > I will look at those...
> > 
> 
> 
> From: Randy Dunlap <[email-masked]>
> 
> r852 fails to build when CONFIG_PCI is not enabled since it uses
> pci_*() calls and is a PCI driver, so it should depend on PCI
> to prevent build errors.
> It should also #include <linux/pci.h>.

Folks, sorry for Kconfig mess, I didn't test it well enough it seems...

However, I #include the <linux/pci.h> in r852.h, so I don't think it is
necessary here.

Also, I disagree with the unconditional dependency on nand in sm_ftl.
The purpose of CONFIG_SM_FTL_MUSEUM is solely to make it independent of
nand. I'll look at how to fix that properly.

Best regards,
	Maxim Levitsky